# Turn on rewrite engine
RewriteEngine On

# If the request is NOT a real file…
RewriteCond %{REQUEST_FILENAME} !-f

# …and NOT a real folder…
RewriteCond %{REQUEST_FILENAME} !-d

# Rewrite /something → something.php
RewriteRule ^(.+)$ $1.php [L,QSA]
